<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="7f0c07bf-4c09-4d1a-91b8-603895bd8f7a" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/javascript/avancando-javascript/index.html" beforeDir="false" afterPath="$PROJECT_DIR$/javascript/avancando-javascript/index.html" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/javascript/avancando-javascript/js/main.js" beforeDir="false" afterPath="$PROJECT_DIR$/javascript/avancando-javascript/js/main.js" afterDir="false" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DatabaseView">
    <option name="SHOW_INTERMEDIATE" value="true" />
    <option name="GROUP_DATA_SOURCES" value="true" />
    <option name="GROUP_SCHEMA" value="true" />
    <option name="GROUP_CONTENTS" value="false" />
    <option name="SORT_POSITIONED" value="false" />
    <option name="SHOW_EMPTY_GROUPS" value="false" />
    <option name="AUTO_SCROLL_FROM_SOURCE" value="false" />
    <option name="HIDDEN_KINDS">
      <set />
    </option>
    <expand />
    <select />
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="429621795">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.closed" value="7" />
          <entry key="project.open.time.1" value="2" />
          <entry key="project.open.time.2" value="1" />
          <entry key="project.open.time.31" value="1" />
          <entry key="project.open.time.38" value="1" />
          <entry key="project.open.time.49" value="1" />
          <entry key="project.open.time.5" value="1" />
          <entry key="project.open.time.52" value="1" />
          <entry key="project.open.time.56" value="1" />
          <entry key="project.open.time.57" value="1" />
          <entry key="project.opened" value="10" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="css" value="3" />
          <entry key="html" value="5" />
          <entry key="js" value="7" />
          <entry key="ts" value="4" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="CSS" value="3" />
          <entry key="HTML" value="5" />
          <entry key="JavaScript" value="7" />
          <entry key="TypeScript" value="4" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="html" value="1343" />
          <entry key="js" value="11296" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="HTML" value="1354" />
          <entry key="JavaScript" value="11285" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.vcs.git.usages">
        <counts>
          <entry key="git.branch.merge" value="1" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FavoritesManager">
    <favorites_list name="frontend" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/javascript/avancando-javascript/js/main.js">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="525">
              <caret line="246" column="18" lean-forward="true" selection-start-line="246" selection-start-column="18" selection-end-line="246" selection-end-column="18" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/javascript/avancando-javascript/index.html">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="489">
              <caret line="57" column="10" lean-forward="true" selection-start-line="57" selection-start-column="10" selection-end-line="57" selection-end-column="10" />
              <folding>
                <element signature="n#style#0;n#div#0;n#div#0;n#body#0;n#html#0;n#!!top" expanded="true" />
                <element signature="n#style#0;n#span#0;n#div#1;n#div#0;n#body#0;n#html#0;n#!!top" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="HTML File" />
        <option value="JavaScript File" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>stylw</find>
      <find>shi</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/javascript/iniciando-javascript/beginner-html-site-styled-gh-pages/index.html" />
        <option value="$PROJECT_DIR$/javascript/iniciando-javascript/beginner-html-site-styled-gh-pages/scripts/main.js" />
        <option value="$PROJECT_DIR$/javascript/avancando-javascript/js/config.js" />
        <option value="$PROJECT_DIR$/javascript/avancando-javascript/index.html" />
        <option value="$PROJECT_DIR$/javascript/avancando-javascript/js/main.js" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="-7" />
    <option name="width" value="974" />
    <option name="height" value="1047" />
  </component>
  <component name="ProjectInspectionProfilesVisibleTreeState">
    <entry key="Project Default">
      <profile-state>
        <expanded-state>
          <State>
            <id />
          </State>
        </expanded-state>
        <selected-state>
          <State>
            <id>AngularJS</id>
          </State>
        </selected-state>
      </profile-state>
    </entry>
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="frontend" type="b2602c69:ProjectViewProjectNode" />
              <item name="frontend" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="frontend" type="b2602c69:ProjectViewProjectNode" />
              <item name="frontend" type="462c0819:PsiDirectoryNode" />
              <item name="javascript" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="frontend" type="b2602c69:ProjectViewProjectNode" />
              <item name="frontend" type="462c0819:PsiDirectoryNode" />
              <item name="javascript" type="462c0819:PsiDirectoryNode" />
              <item name="avancando-javascript" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="frontend" type="b2602c69:ProjectViewProjectNode" />
              <item name="frontend" type="462c0819:PsiDirectoryNode" />
              <item name="javascript" type="462c0819:PsiDirectoryNode" />
              <item name="iniciando-javascript" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="frontend" type="b2602c69:ProjectViewProjectNode" />
              <item name="frontend" type="462c0819:PsiDirectoryNode" />
              <item name="javascript" type="462c0819:PsiDirectoryNode" />
              <item name="iniciando-javascript" type="462c0819:PsiDirectoryNode" />
              <item name="beginner-html-site-styled-gh-pages" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="frontend" type="b2602c69:ProjectViewProjectNode" />
              <item name="frontend" type="462c0819:PsiDirectoryNode" />
              <item name="javascript" type="462c0819:PsiDirectoryNode" />
              <item name="iniciando-javascript" type="462c0819:PsiDirectoryNode" />
              <item name="beginner-html-site-styled-gh-pages" type="462c0819:PsiDirectoryNode" />
              <item name="scripts" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="DefaultHtmlFileTemplate" value="HTML File" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="C:/Program Files/nodejs/node" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="settings.editor.selected.configurable" value="configurable.group.appearance" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="7f0c07bf-4c09-4d1a-91b8-603895bd8f7a" name="Default Changelist" comment="" />
      <created>1556298620545</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1556298620545</updated>
      <workItem from="1556298622412" duration="3024000" />
      <workItem from="1556538364124" duration="1829000" />
      <workItem from="1556546127579" duration="66000" />
      <workItem from="1556626093458" duration="5511000" />
      <workItem from="1556798045401" duration="2739000" />
      <workItem from="1556883500317" duration="13722000" />
      <workItem from="1557144886683" duration="20889000" />
      <workItem from="1557236897670" duration="13545000" />
      <workItem from="1557318114203" duration="19855000" />
      <workItem from="1557402908697" duration="7696000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="89422000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="-7" y="0" width="974" height="1047" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" weight="0.46280086" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.2560175" />
      <window_info id="Gulp" order="2" side_tool="true" />
      <window_info id="Favorites" order="3" side_tool="true" weight="0.32995737" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32936078" />
      <window_info anchor="bottom" id="Run" order="2" sideWeight="0.49946696" weight="0.5119306" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.3280363" />
      <window_info anchor="bottom" id="Event Log" order="7" sideWeight="0.50053304" side_tool="true" weight="0.5119306" />
      <window_info anchor="bottom" id="Version Control" order="8" show_stripe_button="false" weight="0.51626897" />
      <window_info active="true" anchor="bottom" id="Terminal" order="9" visible="true" weight="0.2178899" />
      <window_info active="true" anchor="bottom" id="Database Console" order="10" visible="true" weight="0.5" />
      <window_info anchor="bottom" id="Docker" order="11" show_stripe_button="false" />
      <window_info anchor="bottom" id="Database Changes" order="12" show_stripe_button="false" sideWeight="0.49946696" weight="0.40455532" />
      <window_info anchor="right" id="Commander" order="0" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Database" order="3" weight="0.35074627" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/javascript/iniciando-javascript/beginner-html-site-styled-gh-pages/styles/style.css">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/javascript/avancando-javascript/css/bootstrap.min.css">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/javascript/iniciando-javascript/beginner-html-site-styled-gh-pages/index.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="609">
          <caret line="38" column="7" selection-start-line="38" selection-start-column="7" selection-end-line="38" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/javascript/avancando-javascript/js/config.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="184">
          <caret line="8" lean-forward="true" selection-start-line="8" selection-end-line="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/javascript/iniciando-javascript/beginner-html-site-styled-gh-pages/scripts/main.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="534">
          <caret line="114" column="18" lean-forward="true" selection-start-line="114" selection-start-column="18" selection-end-line="114" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$APPLICATION_HOME_DIR$/plugins/JavaScriptLanguage/jsLanguageServicesImpl/external/lib.dom.d.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="358">
          <caret line="17071" column="17" selection-start-line="17071" selection-start-column="17" selection-end-line="17071" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/javascript/avancando-javascript/index.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="489">
          <caret line="57" column="10" lean-forward="true" selection-start-line="57" selection-start-column="10" selection-end-line="57" selection-end-column="10" />
          <folding>
            <element signature="n#style#0;n#div#0;n#div#0;n#body#0;n#html#0;n#!!top" expanded="true" />
            <element signature="n#style#0;n#span#0;n#div#1;n#div#0;n#body#0;n#html#0;n#!!top" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/javascript/avancando-javascript/js/main.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="525">
          <caret line="246" column="18" lean-forward="true" selection-start-line="246" selection-start-column="18" selection-end-line="246" selection-end-column="18" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ScopeChooserConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>